
#include <SoftwareSerial.h>
#include <LiquidCrystal.h>


const int rs = 5, en = 6, d4 = 7, d5 = 8, d6 = 9, d7 = 2;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);

SoftwareSerial mySerial(10, 11); // RX, TX

void setup() {
 
  Serial.begin(57600);
  while (!Serial) {
    ; // wait for serial port to connect. Needed for native USB port only
  }


  Serial.println("Goodnight moon!");

  // set the data rate for the SoftwareSerial port
  mySerial.begin(4800);
  mySerial.println("Hello, world?");
  lcd.begin(16,2);
  lcd.write("YAY!");
  lcd.setCursor(0,1);
}

void loop() { // run over and over
  
  mySerial.flush();
  Serial.flush();

  if (mySerial.available()) {
    byte myData=mySerial.read();
    Serial.write(myData);
    lcd.write(myData);
  }
  if (Serial.available()) {
    byte data=Serial.read();
    mySerial.write(data);
    
    lcd.write(data);
  }
}
